Subject: wc bug in b18
From: [email-masked] (Paul Mapstone)

8 May 1997 14:04:00 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: cygnus <[email-masked]>
X-Mailer: Worldtalk (NetConnex V4.00a)/MIME
Original-Sender: [email-masked]

Using beta 18 under NT 3.51, I get very strange results with wc:

wc usertools.exe
      3      14     799 usertools.exe

However, wc -c gives the correct solution:

4416422 usertools.exe

I get similar premature end of file results with other tools, e.g. cat, 
split.  Is this something to do with the CR/LF thing?  I have tried putting 
an entry in the registry for fmode_binary, but this does not
make any difference.  The registry entry I have tried is:

HKEY_LOCAL_MACHINE
    SOFTWARE
        Cygnus Solutions
            GNU-Win32
                b18
                    fmode_binary:REG_SZ:1

I have only installed the user tools.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".